Results 1 to 10 of 10

Thread: Dual gateway support + DotA 6.88 PUBLIC BETA

  1. #1
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,124
    Blog Entries
    2

    Dual gateway support + DotA 6.88 PUBLIC BETA

    This is a public beta update to help us test the dual gateway support and hosting of DotA 6.88 on Lagabuse bots. As soon as the bugs are ironed out it will be rolled out officially.

    If you don't want to get your hands dirty with testing you should probably skip this.

    Setup
    1. Copy your Eurobattle.net (usually C:/Program Files (x86)/Eurobattle.net) folder somewhere safe since the update will cause you to be unable to play on current lagabuse.com without reinstalling the client (beta gproxy is a higher version). After you are done testing, switch the folders or reinstall with installer v9 to get back to normal.


    2. Get W3 1.26a from one of these mirrors http://wiki.eurobattle.net/index.php...craft_III_1.26
    Extact somewhere, like your user folder.

    Basically, you must have two W3 versions installed at the same time, 1.28 (or newer in the future) and 1.26. DotA 6.88x can only be played on 1.26 patch.
    It's 1GB more on your harddrive but it kinda works.

    3. Get beta update by going into UPDATE tab in xpam client, type 1377 and click "Get beta patch" button.

    4. In Warcraft tab, you need to set the path of 1.26 gateway to point to the W3 folder you extracted in step 2.


    How to test?
    1. Use the right (1.26) gateway with gproxy
    2. Join channel la-dev, a test guard (la-dota) and 1 bot are in there. You can command the guard same way as you would lagabuse.com
    3. /w la-dota .map dota and /w la-dota .priv gn to host a custom game
    4. /w la-dota !pub gn to test a ladder game
    5. Playing on la-dota bot will NOT affect your PSR on lagabuse.com. It is a seperate database made from a July 29 backup just for testing.

    What especially needs to be tested: a full ladder game (!pub) with 10 players so we can see if hero stats etc. are parsed correctly by the bot!

    Staff and I will be idling on discord/la-dev channel for help and to play games (myself mostly in the evening CET time).

    My suggestion is to meet every day around 21:00 CET in la-dev to gather for a test game. 10 players needed at least.

    You can report all bugs in this topic, technical support or discord, give as much detail as possible.


    Random stuff:
    1. Help! I got beta update and I want to get it again, but it wont let me.
    run regedit->HKEY_CURRENT_USER->Software->Eurobattle.net->set "patch" entry to 25 (in decimal), now you can get the beta patch again

    2. New groxy has protections in place to only be able to join la-dota games and no others. So with 1.26 patch, you can only play Dota 6.88 (which will be used for ladder), for all other CG games you need to switch gateways.
    This is a security measure since patch 1.26 has a security hole which malicious maps could exploit and infect your computer.

    Also, you can't play on lagabuse.com with this beta since gproxy is higher version and bots will kick you.



    Best regards, cen
    Last edited by Cen; 1st August 2018 at 01:52 AM.

    Undefeated Mad Balls Arena champion

  2. #2
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,124
    Blog Entries
    2
    10 player test game, this Friday 21:00 CET, be in channel la-dev

    Reward for testers:
    >1500 --> +30 PSR
    >1600 --> +20 PSR
    >1700 --> +10 PSR
    >1800 --> +5 PSR
    >1900 --> +2 PSR


    +icon
    Last edited by kja12; 2nd August 2018 at 05:52 PM.

    Undefeated Mad Balls Arena champion

  3. #3
    New User
    Join Date
    Jan 2012
    Location
    İstanbul
    Age
    26
    Posts
    1
    Please attend instead of playing dota

  4. #4
    This is what awesome looks like Silver.'s Avatar
    Join Date
    Sep 2007
    Location
    Romania
    Age
    28
    Posts
    2,007
    Awards
    It went good if you ask me, but I think we need one more run. Depends if you are satisfied with the results.

  5. #5
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,124
    Blog Entries
    2
    New beta pushed out, if you want to test it, lower your patch to 25 in registry and re-dl beta.

    New gproxy commands:

    !apub <gn> and !apriv <gn>: can be typed in any channel, shortcuts for /w la-dota !priv <gn>

    !follow <player>: checks if player is in game and simulates keystrokes to join that game, eg:
    ALT+G to open game list
    Types game name the player is in
    Presses enter

    Also performs game join if player is not yet in game but enters it after the command was written.

    Game autojoin, if enabled, also works with !apub and !apriv, automatically joins game as soon as guard whispers you that game was created.

    Game autojoining works only if you are inside a channel and works for one game join (you need to !follow again if you leave the lobby).

    !unfollow: to remove current following


    You can also type !commands to see the full list of gproxy commands.

    xpam.cfg and gproxy.cfg were replaced with xpam.ini and gproxy.ini (.cfg files won't be removed with update).

    One new sound for server announcements and new sound for autojoin.


    Warcraft 1.26a download mirrors were also updated with proper w3l which no longer disables -cam in DotA 6.88 (so you should re-dl). If you already downloaded 1.26 from older mirrors, just extract the proper loader in w3 1.26 folder http://warden.eurobattle.net/downloads/file/51 or re-dl the whole thing.



    TODO:
    -check stats parsing from friday's game
    -disable ladder games on CG guard
    -prepare installer


    ETA is some time 2nd half of this month to go public if no blockers appear.
    Last edited by Cen; 8th August 2018 at 12:44 AM.

    Undefeated Mad Balls Arena champion

  6. #6
    Hi Cen,

    I tryed to connect my bot with :
    bnet2_custom_war3version = 26
    bnet2_custom_exeversion = 1 0 26 1
    bnet2_custom_exeversionhash = 194 206 231 242
    bnet2_custom_passwordhashtype = pvpgn
    and the error is "game version is invalid, disconnecting"

    Please help.

  7. #7
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,124
    Blog Entries
    2
    I suggest you rebuild the bot with up-to-date bncsutil lib https://github.com/BNETDocs/bncsutil and let it calculate the version and hash (remove custom_exeversion and custom_exeversionhash). If for some reason you can't do this I'll try to get you the correct values in few days.

    Undefeated Mad Balls Arena champion

  8. #8
    didnt work, i will wait for your values.
    Thank you Cen.

  9. #9
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,124
    Blog Entries
    2
    I updated the wiki with correct values

    Undefeated Mad Balls Arena champion

  10. #10
    it works, thank you

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Inne strony: Film Filmy 2017 Horror 2017


Affiliates